Skip to main content

Get User Mods

GET 

/me/mods

Get all mods the authenticated user added or is a team member of. Successful request will return an array of Mod Objects. We recommended reading the filtering documentation to return only the records you want.

Request​

Sorting filters

Parameters

    name string

    Sort by name in alphabetical order using the _sort query parameter name. For example _sort=name would return mods from A-Z.

    date_live string

    Sort by the date they went live using the _sort query parameter date_live. For example _sort=-date_live would return the most recently live mods.

    date_updated string

    Sort by the date they were last updated using the _sort query parameter date_updated. For example _sort=-date_updated would return the most recently updated mods.

    submitted_by string

    Sort by the creators ID using the _sort query parameter submitted_by. For example _sort=submitted_by would return mods from creators who have been registered the longest.

    downloads_today string

    Sort by the number of downloads in the last 24hours using the _sort query parameter downloads_today. For example _sort=-downloads_today would return the most popular mods from the last 24hours based on the number of mod downloads.

    downloads_total string

    Sort by the total number of downloads using the _sort query parameter downloads_total. For example _sort=-downloads_total would return the most popular mods based on the number of downloads.

    subscribers_total string

    Sort by the total number of subscribers using the _sort query parameter subscribers_total. For example _sort=-subscribers_total would return the most popular mods based on number of subscribers.

    ratings_weighted_aggregate string

    Sort by their calculated rating (thumbs up / down received) using the _sort query parameter ratings_weighted_aggregate. For example _sort=-ratings_weighted_aggregate would return the highest rated mods.

See here for more details about using the _sort query parameter.

Responses​

Request Successful